unit unit_test;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  SliderComponent,LCLIntf;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Shape1: TShape;
    SliderComponent1: TSliderComponent;
    SliderComponent10: TSliderComponent;
    SliderComponent2: TSliderComponent;
    SliderComponent3: TSliderComponent;
    SliderComponent4: TSliderComponent;
    SliderComponent5: TSliderComponent;
    SliderComponent6: TSliderComponent;
    SliderComponent7: TSliderComponent;
    SliderComponent8: TSliderComponent;
    SliderComponent9: TSliderComponent;
    StaticText1: TStaticText;
    StaticText10: TStaticText;
    StaticText2: TStaticText;
    StaticText3: TStaticText;
    StaticText4: TStaticText;
    StaticText5: TStaticText;
    StaticText6: TStaticText;
    StaticText7: TStaticText;
    StaticText8: TStaticText;
    StaticText9: TStaticText;
    procedure Button1Click(Sender: TObject);
    procedure SliderComponent10Change(const Count: integer);
    procedure SliderComponent1Change(const Count: integer);
    procedure SliderComponent2Change(const Count: integer);
    procedure SliderComponent3Change(const Count: integer);
    procedure SliderComponent4Change(const Count: integer);
    procedure SliderComponent5Change(const Count: integer);
    procedure SliderComponent6Change(const Count: integer);
    procedure SliderComponent7Change(const Count: integer);
    procedure SliderComponent8Change(const Count: integer);
    procedure SliderComponent9Change(const Count: integer);

  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }


procedure TForm1.SliderComponent1Change(const Count: integer);
begin
  self.Caption:='SC1: '+inttostr(Count);
end;

procedure TForm1.SliderComponent2Change(const Count: integer);
begin
 self.Caption:='SC2: '+inttostr(Count);
end;

procedure TForm1.SliderComponent3Change(const Count: integer);
begin
 self.Caption:='SC3: '+inttostr(Count);
 if Count<0 then
  begin
   SliderComponent3.ExtMin        := Count;
   SliderComponent3.ExtMax        := 0;
   SliderComponent3.Color_Slot_Ext:=clred;
  end;
 if Count>0 then
  begin
   SliderComponent3.ExtMin        := 0;
   SliderComponent3.ExtMax        := Count;
   SliderComponent3.Color_Slot_Ext:= cllime;
  end;
end;

procedure TForm1.SliderComponent4Change(const Count: integer);
begin
 self.Caption:='SC4: '+inttostr(Count);
 if Count >= 180 then
  begin
   SliderComponent4.ShowExtColor := true;
   SliderComponent4.ExtMax       := Count;
  end else SliderComponent4.ShowExtColor := false;
end;

procedure TForm1.SliderComponent5Change(const Count: integer);
begin
 self.Caption:='SC5: '+inttostr(Count);
end;

procedure TForm1.SliderComponent6Change(const Count: integer);
begin
 self.Caption:='SC6: '+inttostr(Count);
end;

procedure TForm1.SliderComponent7Change(const Count: integer);
begin
 self.Caption:='SC7: '+inttostr(Count);
end;

procedure TForm1.SliderComponent8Change(const Count: integer);
begin
 self.Caption:='SC8: '+inttostr(Count);

end;

procedure TForm1.SliderComponent9Change(const Count: integer);
begin
 SliderComponent9.ExtMax       := 50;
 SliderComponent9.ExtMin:= SliderComponent9.MultiKnob.PosKnob2;
 if SliderComponent9.Position > 0 then SliderComponent9.Position:=0;
 if SliderComponent9.MultiKnob.PosKnob2 < 0 then
  begin
   SliderComponent9.MultiKnob.PosKnob2:=0;
   SliderComponent9.ExtMin:= SliderComponent9.MultiKnob.PosKnob2;
  end;
 self.Caption:='SC9: '+'Knopf1:'+inttostr(SliderComponent9.Position)+
               '   Knopf2:'+inttostr(SliderComponent9.MultiKnob.PosKnob2);
end;

procedure TForm1.SliderComponent10Change(const Count: integer);
begin
 self.Caption:='SC10: '+'Knopf1:'+inttostr(Count)+
               '   Knopf2:'+inttostr(SliderComponent10.MultiKnob.PosKnob2)+
               '   Knopf3:'+inttostr(SliderComponent10.MultiKnob.PosKnob3);
 Shape1.Brush.Color:=rgb(Count,SliderComponent10.MultiKnob.PosKnob2,
                         SliderComponent10.MultiKnob.PosKnob3);
 Invalidate;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 SliderComponent1.Position:=0;
 SliderComponent2.Position:=0;
 SliderComponent3.Position:=0;
 SliderComponent3.ExtMin  := 0;
 SliderComponent3.ExtMax  := 0;
 SliderComponent4.Position:=0;
 SliderComponent5.Position:=0;
 SliderComponent6.Position:=0;
 SliderComponent7.Position:=0;
 SliderComponent8.Position:=0;
 SliderComponent9.MultiKnob.PosKnob2:=0;
 SliderComponent9.Position:=0;
 SliderComponent10.MultiKnob.PosKnob2:=0;
 SliderComponent10.MultiKnob.PosKnob3:=0;
 SliderComponent10.Position:=0;
 SliderComponent10.Invalidate;
 self.Caption:= 'SliderComponent Test';
 Shape1.Brush.Color:=rgb(0,0,0);
end;



end.

